Subject: Re: bug#15833: 24.3.50; sit-for and sentinels

From: Stefan Monnier <[email-masked]>
Date: Mon, 11 Nov 2013 00:08:08 -0500

>   src/emacs -Q -l test/automated/process-tests.el -f ert-run-tests-batch
> The sit-for test fails.  The contents of the *Messages* buffer is:

Hmm... for me if I add "--batch" then both tests succeed, and if
I use the above command as is (i.e.in an X11 Emacs session) then both
tests fail.

So, it might be timing-dependent.  E.g. it might depend on whether the
process dies before we get to the wait-function?

        Stefan